freemarker.core

## Class InvalidFormatParametersException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException
      - - freemarker.core.InvalidFormatStringException
        - - freemarker.core.InvalidFormatParametersException

All Implemented Interfaces:
  Serializable

    public final class InvalidFormatParametersException
    extends InvalidFormatStringException

Used when creating `TemplateDateFormat`-s and `TemplateNumberFormat`-s to indicate that the parameters part of the format string (like some kind of pattern) is malformed.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidFormatParametersException(String message)`
`InvalidFormatParametersException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidFormatParametersException

    public InvalidFormatParametersException(String message,
                                            Throwable cause)

#### InvalidFormatParametersException

    public InvalidFormatParametersException(String message)